/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PersonRole;

import java.util.Date;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class Applicant extends RelMgmt.Party.PersonRole {
    public Date determineDateFirstAvailableForInterval() {
        return new Date(0);
    }

    public boolean isQualifiedForJob() {
        return false;
    }

    public boolean isQualifiedForJobAndAvailableForInterval() {
        return false;
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private HumanResMgmt.SkillAcquisition.SkillRating lnkUnnamed;
    private int intervalAvailable;
    private BigDecimal salaryExpectation;
}


